Bug 1463303 - Unclear installation on setting up variables on remote database
Unclear installation on setting up variables on remote database
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: Setup.Core (Show other bugs)
4.1.3.3
All All
low Severity low (vote)
: ovirt-4.3.0
: ---
Assigned To: Yedidyah Bar David
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 10:23 EDT by Lukas Svaty
Modified: 2018-01-15 03:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑4.3+


Attachments (Terms of Use)

  None (edit)
Description Lukas Svaty 2017-06-20 10:23:59 EDT
Description of problem:
Unclear installation on setting up variables on remote database

[ ERROR ] Please set:  autovacuum_vacuum_scale_factor = 0.01  autovacuum_analyze_scale_factor = 0.075  autovacuum_max_workers = 6  maintenance_work_mem = 65536  max_connections = 150 in postgresql.conf on 'None'. Its location is usually /var/lib/pgsql/data , or somewhere under /etc/postgresql* .


what does the "on 'None'" means?

Version-Release number of selected component (if applicable):
ovirt-engine-setup-4.1.3.4-0.1.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. run ovirt-engine and try to install on remote database
Actual results:
[ ERROR ] Please set:  autovacuum_vacuum_scale_factor = 0.01  autovacuum_analyze_scale_factor = 0.075  autovacuum_max_workers = 6  maintenance_work_mem = 65536  max_connections = 150 in postgresql.conf on 'None'. Its location is usually /var/lib/pgsql/data , or somewhere under /etc/postgresql* .

Expected results:
[ ERROR ] Please set:  autovacuum_vacuum_scale_factor = 0.01  autovacuum_analyze_scale_factor = 0.075  autovacuum_max_workers = 6  maintenance_work_mem = 65536  max_connections = 150 in postgresql.conf. Its location is usually /var/lib/pgsql/data , or somewhere under /etc/postgresql* .
Comment 1 Sandro Bonazzola 2017-06-21 02:35:23 EDT
Roy, can you please have a look? Is it this related to your vacuum changes?
Comment 2 Roy Golan 2017-06-25 08:34:39 EDT
Those are the rough edges around remote installation of DB.
The "None" should have been the name of the machine hosting the db. If this installation would run locally it should yield 'localhost' I think 

It might be related to vacuum changes or might always been missing in db only installations.

Note You need to log in before you can comment on or make changes to this bug.